package com.fxy.putIn.bean;

import android.os.Parcel;
import android.os.Parcelable;

public class TallyPutInBean implements Parcelable {
    private int qty = 0;//
    public String pallet_code = "";
    private String voice_name= "";
    public TallyPutInBean(){
    }

    protected TallyPutInBean(Parcel in) {
        qty = in.readInt();
        pallet_code = in.readString();
        voice_name = in.readString();
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeInt(qty);
        dest.writeString(pallet_code);
        dest.writeString(voice_name);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<TallyPutInBean> CREATOR = new Creator<TallyPutInBean>() {
        @Override
        public TallyPutInBean createFromParcel(Parcel in) {
            return new TallyPutInBean(in);
        }

        @Override
        public TallyPutInBean[] newArray(int size) {
            return new TallyPutInBean[size];
        }
    };

    public int getQty() {
        return qty;
    }

    public void setQty(int qty) {
        this.qty = qty;
    }

    public String getPalletCode() {
        return pallet_code;
    }

    public void setPalletCode(String pallet_code) {
        this.pallet_code = pallet_code;
    }

    public String getVoiceName() {
        return voice_name;
    }

    public void setVoiceName(String voice_name) {
        this.voice_name = voice_name;
    }
}
